Subject: Fw: [Bug 208107] New: hard lock with CONFIG_CGROUP_NET_PRIO enabled

From: Stephen Hemminger <[email-masked]>
Date: Tue, 9 Jun 2020 08:30:29 -0700

Begin forwarded message:

Date: Mon, 08 Jun 2020 21:53:11 +0000
From: [email-masked]
To: [email-masked]
Subject: [Bug 208107] New: hard lock with CONFIG_CGROUP_NET_PRIO enabled

https://bugzilla.kernel.org/show_bug.cgi?id=208107

            Bug ID: 208107
           Summary: hard lock with CONFIG_CGROUP_NET_PRIO enabled
           Product: Networking
           Version: 2.5
    Kernel Version: 5.4.42
          Hardware: All
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: Other
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

A bug was introduced with commit fc800ec491c39e42b65df72dc9ede3bb2d4a3755 where
my NFS server (which supports Kerberos) will lock up the system after a client
has mounted volumes export by the NFS server.

Unsetting CONFIG_CGROUP_NET_PRIO or reverting
fc800ec491c39e42b65df72dc9ede3bb2d4a3755 resolves the issue.

I get nothing on the console or in the logs once this occurs. The system is
locked until it finally restarts on its own or through user intervention. The
client machine I used for testing has CONFIG_CGROUP_NET_PRIO enabled in the
kernel, but it causes no issues there.

I suspect the Kerberos functionality has no impact on this issue, but I'm
presently unable to disable it.

I'm not actually using the functionality provided by CONFIG_CGROUP_NET_PRIO, so
I've disabled it for now.

All kernels since v5.4.42 are affected. By disabling this feature or reverting
fc800ec491c39e42b65df72dc9ede3bb2d4a3755 allows 5.4.2+ to work. I'm currently
running stable with v5.4.45.

The 5.5 and 5.6 series are unsurprisingly affected, and I suspect both series
would work with either of the fixes above.

Some info about the NFS server:
Debian 10 Buster
AMD EPYC 3251 8-core processor
128GB memory
Intel X540 10GB NIC PCIE nic (only 1 port is used)
2x Intel Corporation I350 Gigabit onboard NICs (both are used)

All NIC's are used in individual bridge interfaces for a total of 3 interfacs
(br0, br1, br2) to facilitate virtualization.

More info furnished upon request.

-- 
You are receiving this mail because:
You are the assignee for the bug.